Page MenuHomePhabricator

Create confirmation/thank-you message for new members
Closed, ResolvedPublic

Description

Add a message which automatically gets sent out to members when a payment/donation is registered.


Original plan

  • Confirmation message [rich text] - The thank you message for returning members
    • Version for members that are organisations
    • Extra optional paragraph if they also made a donation when renewing their membership
  • Confirmation message [rich text] - The thank you message for new members
    • Version for members that are organisations
    • Extra optional paragraph if they also made a donation when starting their membership

Event Timeline

@SaraMortsell Do you have the opportunity to look at this during this or next week? That way we can incorporate the text in the version of T191384: send a reminder about the Wikipedia Day and General Assembly to paid up members.

@Evelina-Bang-WMSE Hoping its not too late. Do you maintain a list of renewed and new members so that we can send out these confirmations?

@Evelina-Bang-WMSE Hoping its not too late. Do you maintain a list of renewed and new members so that we can send out these confirmations?

Sort of. We have the list that Opad creates. When we sent out the membership fee emails, I sent special e-mails to the ones who had become members during 2018. There are some new members after this, they can be searched for in Zynatic.

@Evelina-Bang-WMSE Hoping its not too late. Do you maintain a list of renewed and new members so that we can send out these confirmations?

Sort of. We have the list that Opad creates. When we sent out the membership fee emails, I sent special e-mails to the ones who had become members during 2018. There are some new members after this, they can be searched for in Zynatic.

I guess that for this round it is less important. If we include the Thank you in the Årsmöte and Wikipedia day reminder then simply selecting anyone who has paid their 2018 fee should be enough.

I guess for any new members after that then the Opad list should serve the purpose.

Lokal_Profil added a comment.EditedJul 26 2018, 11:21 AM

Per the 20th of July update:

Nu går det att skapa ett meddelande som skickas till medlemmen när en betalning registreras i medlemsregistret. Meddelande definieras vid "Admin->Uppdatera/skapa Betalningsmeddelande".
I betalningsmeddelandet är det möjligt att infoga variabeln %kvitto% som byts ut mot ett kvitto med information om betalningen. Detta kvitto finns även tillgängligt i listan av betalningar i medlemsdata samt i familjens information, "Admin->Visa min famils information".

Per an earlier e-mail exchange @Evelina-Bang-WMSE suggested:

Hej %förnamn%,

Wikimedia Sverige har registrerat en betalning från dig. Nedan finns ditt kvitto. Om du har några frågor är du välkommen att kontakta oss på info@wikimedia.se.

%kvitto%

Tack för att du genom ditt medlemskap stödjer Wikimedia Sveriges arbete för fri kunskap!

Med vänlig hälsning,
John Andersson
Verksamhetschef
Wikimedia Sverige

and @Lokal_Profil approved but suggested changing the email to medlem@


We should ensure the message is bilingual and fulfils the needs mentioned here.

Hi %förnamn%,

Wikimedia Sverige has received a payment from you. You can view your receipt below. If you have any questions you are welcome to contact us at medlem@wikimedia.se.

%kvitto%

Thank you for supporting Wikimedia Sverige's work for free knowledge with your membership!

Best regards,
John Andersson
Executive Director
Wikimedia Sverige

We should ensure the message is bilingual and fulfils the needs mentioned here.

Not that the current mechanism does not allow us to differ between organisations and individuals, nor does it allow us to distinguish those members that make an extra donation. The benefit of it being automatically sent out outweighs this though.

Hi %förnamn%,
Wikimedia Sverige has received a payment from you. You can view your receipt below. If you have any questions you are welcome to contact us at medlem@wikimedia.se.
%kvitto%
Thank you for supporting Wikimedia Sverige's work for free knowledge with your membership!
Best regards,
John Andersson
Executive Director
Wikimedia Sverige

Should work. I'll give them the full formatting workover and copy them to wmse:Medlemskap/Zynatic/Bekräftelse och tack-meddelande

Tack för att du genom ditt medlemskap stödjer Wikimedia Sveriges arbete för fri kunskap!

Thank you for supporting Wikimedia Sverige's work for free knowledge with your membership!

I would guess this message is sent out whenever a payment is registered, even if that payment is a donation. @Evelina-Bang-WMSE how about the following alternatives ?

Tack för att du genom ditt medlemskap eller donation stödjer Wikimedia Sveriges arbete för fri kunskap!
Thank you for supporting Wikimedia Sverige's work for free knowledge through your membership or donation!

Tack för att du genom ditt medlemskap stödjer Wikimedia Sveriges arbete för fri kunskap!

! In T190263#4452933, @Evelina-Bang-WMSE wrote:

Thank you for supporting Wikimedia Sverige's work for free knowledge with your membership!

I would guess this message is sent out whenever a payment is registered, even if that payment is a donation. @Evelina-Bang-WMSE how about the following alternatives ?

Tack för att du genom ditt medlemskap eller donation stödjer Wikimedia Sveriges arbete för fri kunskap!
Thank you for supporting Wikimedia Sverige's work for free knowledge through your membership or donation!

Sounds good!

I've updated the text on the wiki but I'm getting an error message on Zynatic. Will investigate.

@SaraMortsell We'll run with this text for now but feel free to re-open this task later if you feel that we have missed something.

I've updated the text on the wiki but I'm getting an error message on Zynatic. Will investigate.

This has been fixed. I've added the text and tried registering a payment for a McTestface user. I got the e-mail ok with the following text for %kvitto%

Kvitto

Betalningsmottagare:
Wikimedia Sverige
orgnr: 802437-8310
Hammarby Kaj 10D
120 32 Stockholm
Godkänd för F-skatt

Betalare:
Betalningsmeddelande_test McTestface
A
b C

Datum:
2018-07-30

Beskrivning 		Belopp
Medlemsavgift, 2018 		100,00

I noticed that this text currently gets repeated twice (in both the English and Swedish sections). I'll rephrase the message so that it only shows up once at the end.

Note that "c/o Internetstiftelsen i Sverige (IIS)" is missing from the address. This is because this makes the address line so long as to break the invoice format.

Lokal_Profil updated the task description. (Show Details)Jul 30 2018, 7:59 AM

Note that this receipt also gets stored in the system and is accessible by the members.

Lokal_Profil closed this task as Resolved.Jul 30 2018, 8:17 AM
Lokal_Profil claimed this task.

If the payment is of an invoice then the receipt looks like the following (payment of 200kr so 100kr donation)

Kvitto

Betalningsmottagare:
Wikimedia Sverige
orgnr: 802437-8310
Hammarby Kaj 10D
120 32 Stockholm
Godkänd för F-skatt

Betalare:
Betalningsmeddelande_test3 McTestface
A
b C

Fakturanummer:
52852

Datum:
2018-07-30

Beskrivning 		Belopp	
Medlemsavgift, 2018 		100,00
Donation Privat, donation, 2018 		100,00
Total 		200,00

Note that a registration of fee+donation (not via invoice) would result in two confirmations (since each is registered separately).
I haven't checked that PayPal (and later Swish) payments from within the system triggers the confirmation. I assume this is the case but since the member is shown the receipt directly that is also less crucial.

@SaraMortsell [...] feel free to re-open this task later if you feel that we have missed something.

Jopparn moved this task from This week to Done on the User-SaraMortsell board.Aug 6 2018, 1:56 PM